/* holds variables which are RVALUES (read, not written) */!!

inherit(Object, #CLIVariableNode, #(variable), 2, nil)!!

now(class(CLIVariableNode))!!

now(CLIVariableNode)!!

/* Compile the node into Actor source. */
Def CLICodeCompile(self)
{
  CLICodeCompile("getRValue(self, "+doubleQuoteString(CLIUtilities));
  CLICodeCompile(variable);
  CLICodeCompile(doubleQuoteString(CLIUtilities)+") ");
}
!!

/* Compile the name only as a quoted string. */
Def CLINameCompile(self)
{
  CLICodeCompile(doubleQuoteString(CLIUtilities));
  CLICodeCompile(variable);
  CLICodeCompile(doubleQuoteString(CLIUtilities));
}
!!

Def init(self, id)
{
  variable := id;
}!!
